$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/clients/releases/download/desktop-v2024.2.1/Bitwarden-Installer-2024.2.1.exe'
$checksum = 'E8CB59ED7D8EA379FDD7FD02B2A85DEF3C66EAA4B5B0D88A3013FBD9C63AD4E6'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
